POST
Share wallet
Share wallet with an existing BitGo user
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol. -
walletIdstring requiredThe wallet ID.
Body Params
object
-
emailstring requiredEmail address of the user being invited -
permissionsstring enum requiredComma-separated list of privileges for a wallet. Includes:
- `admin` - Can manage wallet policies and users and approve or reject pending approvals. - `freeze` - Can freeze a wallet, disabling all withdrawals. - `spend` - Can initiate withdrawals and generate new receive addresses. - `trade` - Can initiate trades from a Go Account (`trading` wallet type). - `view` - Can view balances and transactions.Permissions don't overlap. Required parameter if 'reshare' is false.
adminspendtradeview -
walletPassphrasestringWallet passphrase of the user sharing the wallet -
messagestringUser readable message to display to the share recipient -
resharebooleanFlag for reinviting a user to the wallet. This is required if the invitee has already been invited to the wallet, but has changed their password and needs a new invite -
skipKeychainbooleanIf true, skips using a shared key (for when the wallet is shared without spend permission). -
disableEmailbooleanFlag for disabling invite notification email
Responses
200
OK
Response Body
object
Wallet share object
-
idstringWallet share id -
coinstringCoin of the wallet -
walletstringWallet id -
walletLabelstring -
fromUserstringId of the user sharing the wallet -
toUserstringId of the user receiving the share -
permissionsstring enumComma-separated list of privileges for a wallet. Includes:
- `admin` - Can manage wallet policies and users and approve or reject pending approvals. - `freeze` - Can freeze a wallet, disabling all withdrawals. - `spend` - Can initiate withdrawals and generate new receive addresses. - `trade` - Can initiate trades from a Go Account (`trading` wallet type). - `view` - Can view balances and transactions.Permissions don't overlap. Required parameter if 'reshare' is false.
adminspendtradeview -
messagestringMessage for the user receiving the share -
statestring enumState of the sharependingapprovalactiveacceptedcanceledrejected -
enterprisestringIf the wallet belongs to an enterprise, the id of that enterprise -
pendingApprovalIdstringIf the share generated a pending approval, the id of that pending approval -
keychainobjectKey passed to the receiving user, included if the wallet was shared with spend permissionkeychain object
-
pubstringOne of wallet pub (onchain) or commonKeychain (MPC) -
encryptedPrvstringPrivate key of the user sharing the wallet encrypted under their wallet passphrase -
fromPubKeystringDerived public key of the user sharing the wallet -
toPubKeystringDerived public key of the user receiving the share -
pathstringBIP32 HD path of the derived public keys (fromPubKey and toPubKey)
-